org.appng.mail.impl

## Class MailImpl

- java.lang.Object
- - org.appng.mail.impl.MailImpl

- All Implemented Interfaces:
    Mail

      public class MailImpl
      extends Object
      implements Mail

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.appng.mail.Mail

      `Mail.RecipientType`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Mail` | `addAttachment(File file, String mimeType)`
    `Mail` | `addAttachment(File file, String name, String mimeType)`
    `Mail` | `addAttachment(InputStream is, String name, String mimeType)`
    `Mail` | `addReceiver(Receiver receiver)`
    `Mail` | `addReceiver(String email, Mail.RecipientType type)`
    `Mail` | `addReceiver(String email, String name, Mail.RecipientType type)`
    `Mail` | `addReplyTo(String email)`
    `Mail` | `addReplyTo(String email, String name)`
    `List<Attachment>` | `getAttachments()`
    `String` | `getEncoding()`
    `String` | `getFrom()`
    `Address` | `getFromAddress()`
    `String` | `getHtmlContent()`
    `List<Receiver>` | `getReceivers()`
    `List<Receiver>` | `getReplyTo()`
    `String` | `getSubject()`
    `String` | `getTextContent()`
    `boolean` | `hasAttachments()`
    `boolean` | `hasReceivers()`
    `void` | `markInvalidReceivers(List<String> invalid)`
    `void` | `setEncoding(String encoding)`
    `Mail` | `setFrom(Address from)`
    `Mail` | `setFrom(String from)`
    `Mail` | `setFrom(String from, String name)`
    `Mail` | `setHTMLContent(String content)`
    `Mail` | `setSubject(String subject)`
    `Mail` | `setTextContent(String content)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### addReceiver

          public Mail addReceiver(Receiver receiver)

      Specified by:
        `addReceiver` in interface `Mail`

    - #### addReceiver

          public Mail addReceiver(String email,
                                  Mail.RecipientType type)

      Specified by:
        `addReceiver` in interface `Mail`

    - #### addReceiver

          public Mail addReceiver(String email,
                                  String name,
                                  Mail.RecipientType type)

      Specified by:
        `addReceiver` in interface `Mail`

    - #### markInvalidReceivers

          public void markInvalidReceivers(List<String> invalid)

      Specified by:
        `markInvalidReceivers` in interface `Mail`

    - #### setHTMLContent

          public Mail setHTMLContent(String content)

      Specified by:
        `setHTMLContent` in interface `Mail`

    - #### setTextContent

          public Mail setTextContent(String content)

      Specified by:
        `setTextContent` in interface `Mail`

    - #### addAttachment

          public Mail addAttachment(File file,
                                    String mimeType)
                             throws MailException

      Specified by:
        `addAttachment` in interface `Mail`
      Throws:
        `MailException`

    - #### addAttachment

          public Mail addAttachment(File file,
                                    String name,
                                    String mimeType)
                             throws MailException

      Specified by:
        `addAttachment` in interface `Mail`
      Throws:
        `MailException`

    - #### addAttachment

          public Mail addAttachment(InputStream is,
                                    String name,
                                    String mimeType)
                             throws MailException

      Specified by:
        `addAttachment` in interface `Mail`
      Throws:
        `MailException`

    - #### hasAttachments

          public boolean hasAttachments()

      Specified by:
        `hasAttachments` in interface `Mail`

    - #### setSubject

          public Mail setSubject(String subject)

      Specified by:
        `setSubject` in interface `Mail`

    - #### setFrom

          public Mail setFrom(Address from)

    - #### setFrom

          public Mail setFrom(String from)

      Specified by:
        `setFrom` in interface `Mail`

    - #### setFrom

          public Mail setFrom(String from,
                              String name)

      Specified by:
        `setFrom` in interface `Mail`

    - #### addReplyTo

          public Mail addReplyTo(String email)

      Specified by:
        `addReplyTo` in interface `Mail`

    - #### addReplyTo

          public Mail addReplyTo(String email,
                                 String name)

      Specified by:
        `addReplyTo` in interface `Mail`

    - #### getReceivers

          public List<Receiver> getReceivers()

      Specified by:
        `getReceivers` in interface `Mail`

    - #### getReplyTo

          public List<Receiver> getReplyTo()

      Specified by:
        `getReplyTo` in interface `Mail`

    - #### getAttachments

          public List<Attachment> getAttachments()

      Specified by:
        `getAttachments` in interface `Mail`

    - #### getFrom

          public String getFrom()

      Specified by:
        `getFrom` in interface `Mail`

    - #### getFromAddress

          public Address getFromAddress()

      Specified by:
        `getFromAddress` in interface `Mail`

    - #### getSubject

          public String getSubject()

      Specified by:
        `getSubject` in interface `Mail`

    - #### getHtmlContent

          public String getHtmlContent()

      Specified by:
        `getHtmlContent` in interface `Mail`

    - #### getTextContent

          public String getTextContent()

      Specified by:
        `getTextContent` in interface `Mail`

    - #### getEncoding

          public String getEncoding()

      Specified by:
        `getEncoding` in interface `Mail`

    - #### setEncoding

          public void setEncoding(String encoding)

      Specified by:
        `setEncoding` in interface `Mail`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hasReceivers

          public boolean hasReceivers()

      Specified by:
        `hasReceivers` in interface `Mail`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.